package com.nisum.omd.controllers;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.nisum.omd.models.OrdersSummary;


@CrossOrigin(origins = "*", maxAge = 3600)
@RestController
@RequestMapping("/api/test")
public class OrdersController {
	static Long dailyOrders=new Long(0);
	static Long hoursOrders=new Long(0);
	static Long minutesOrders=new Long(0);
	static Long customers=new Long(100);
	@GetMapping(value= "/getOrdersSummary", produces= "application/vnd.jcg.api.v1+json")
	public OrdersSummary getOrdersCount()
	{
		 DateTimeFormatter dtf = DateTimeFormatter.ofPattern("yyyy/MM/dd HH:mm:ss");  
		   LocalDateTime now = LocalDateTime.now();  

		System.out.println("getOrdersCount:::called at:::"+dtf.format(now));
		OrdersSummary ordersSummary= new OrdersSummary();
		ordersSummary.setToday_orders(++dailyOrders);
		ordersSummary.setToday_date("04/28/2020");
		ordersSummary.setCurrent_hour_orders(++hoursOrders);
		ordersSummary.setCurrent_hour("12");
		ordersSummary.setCurrent_minute_orders(++minutesOrders);
		ordersSummary.setCurrent_minute("36");
		ordersSummary.setCustomers_count(++customers);
		return ordersSummary;
	}
	
	
}
